# Class CompleteLinkage

java.lang.Object
ch.usi.inf.sape.hac.agglomeration.CompleteLinkage

All Implemented Interfaces:
  `AgglomerationMethod`

public final class CompleteLinkage extends Object implements AgglomerationMethod
The "complete", "maximum", "clique", "furthest neighbor", or "furthest distance" method is a graph-based approach. The distance between two clusters is calculated as the largest distance between two objects in opposite clusters. This method tends to produce well separated, small, compact spherical clusters. The cluster space is dilated. [The data analysis handbook. By Ildiko E. Frank, Roberto Todeschini] This method tends to produce compact clusters. Outliers are given more weight with this method. It is generally a good choice if the clusters are far apart in feature space, but not good if the data are noisy.

## Constructor Summary

Constructors
Constructor
Description
`CompleteLinkage()`

## Method Summary

Modifier and Type
Method
Description
`double`
`computeDissimilarity(double dik, double djk, double dij, int ci, int cj, int ck)`
Compute the dissimilarity between the newly formed cluster (i,j) and the existing cluster k.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CompleteLinkage

public CompleteLinkage()

## Method Details

### computeDissimilarity

public double computeDissimilarity(double dik, double djk, double dij, int ci, int cj, int ck)
Description copied from interface: `AgglomerationMethod`
Compute the dissimilarity between the newly formed cluster (i,j) and the existing cluster k.

Specified by:
  `computeDissimilarity` in interface `AgglomerationMethod`
Parameters:
  `dik` - dissimilarity between clusters i and k
  `djk` - dissimilarity between clusters j and k
  `dij` - dissimilarity between clusters i and j
  `ci` - cardinality of cluster i
  `cj` - cardinality of cluster j
  `ck` - cardinality of cluster k
Returns:
  dissimilarity between cluster (i,j) and cluster k.

### toString

public String toString()

Overrides:
  `toString` in class `Object`